<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="formLotesPreavisos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83aLotesPreavisosBean" type="w83a.w83aBeans.W83aLotesPreavisosBean"/>
				<form-property name="w83aLotesPreavisosNuevoBean" type="w83a.w83aBeans.W83aLotesPreavisosBean"/>
				<form-property name="codSelec" type="java.lang.String"/>
				<form-property name="w83aPreavisoNuevoBean" type="w83a.w83aBeans.W83aLotesPreavisosBean"/>
				<form-property name="w83aprovincia" type="java.lang.String"/>
				<form-property name="w83amunicipio" type="java.lang.String" />
				<form-property name="codColumna" type="java.lang.String" />
				<form-property name="firmaEjgv" type="java.lang.String"/>
				<form-property name="documentoImportadoOriginal" type="java.lang.String" />
				<form-property name="ficheroBinarioBase64" type="java.lang.String" />
		</form-bean>
	
		<form-bean
				name="w83aformBusqLotesPreavisos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83aLotesPreavisosBean" type="w83a.w83aBeans.W83aLotesPreavisosBean"/>
				<form-property name="codSelec" type="java.lang.String"/>
				<form-property name="codColumna" type="java.lang.String" />
				
		</form-bean>
		
		<form-bean
				name="w83aformNuevoLotesPreavisos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83aPreavisosNuevoBean" type="w83a.w83aBeans.W83aLotesPreavisosBean"/>
				<form-property name="tamanyoListaPreavisos" type="java.lang.String"/>
				<form-property name="idDelegacion" type="java.lang.String"/>
				<form-property name="formFile" type="org.apache.struts.upload.FormFile" />
				
		</form-bean>
	
<!--	CONTEXTOS-->
	<form-bean name="contextoOP" type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">				   
			<form-property name="confirm" type="java.lang.String" />
			<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.herramientas.lotesPreavisos"/>
			<form-property name="strTitleKey" type="java.lang.String" initial=""/>
			<form-property name="w83aLotesPreavisosBean" type="w83a.w83aBeans.W83aLotesPreavisosBean"/>
			<form-property name="w83aLotesPreavisosTempBean" type="w83a.w83aBeans.W83aLotesPreavisosBean"/>
			<form-property name="action" type="java.lang.String" initial="B"/>
			<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
			<form-property name="busqRealizada" type="java.lang.String" initial="false"/>	
			<form-property name="busqRealizadaTemp" type="java.lang.String" initial="false"/>	
			<form-property name="w83aListaLotesPreavisos" type="java.util.List"/>	
			<form-property name="w83aListaLotesPreavisos2" type="java.util.List"/>	
			<form-property name="codSelec" type="java.lang.String"/>
			<form-property name="codSelec2" type="java.lang.String"/>
			<form-property name="boton" type="java.lang.String"/>	
			<form-property name="w83aLotesPreavisosNuevoBean" type="w83a.w83aBeans.W83aLotesPreavisosBean"/>
			<form-property name="w83aLotesPreavisosNuevoTempBean" type="w83a.w83aBeans.W83aLotesPreavisosBean"/>
			<form-property name="w83aPreavisoNuevoBean" type="w83a.w83aBeans.W83aLotesPreavisosBean"/>
			<form-property name="w83aPreavisosNuevoTempBean" type="w83a.w83aBeans.W83aLotesPreavisosBean"/>
			<form-property name="w83aDatosPreavisoNuevoBean" type="w83a.w83aBeans.W83aLotesPreavisosBean"/>
			<form-property name="w83aResultado" type="java.lang.String"/>
			<form-property name="ficheroIda" type="java.sql.Blob"/>
			<form-property name="ficheroVuelta" type="java.sql.Blob"/>
			<form-property name="documentoStream" type="java.io.InputStream"/>
			<form-property name="w83aprovincia" type="java.lang.String"/>
			<form-property name="w83amunicipio" type="java.lang.String" />
			<form-property name="codLote" type="java.lang.String" />
			<form-property name="tamanyoListaPreavisos" type="java.lang.String"/>
			<form-property name="codSelecEdicion" type="java.lang.String"/>	
			<form-property name="indicePreaviso" type="java.lang.String"/>	
			<form-property name="w83aPreavisosNuevoBean" type="w83a.w83aBeans.W83aLotesPreavisosBean"/>
			<form-property name="w83aMapaFilePreavisos" type="java.util.HashMap" />
			<form-property name="w83aResultadoMapa" type="java.util.HashMap" />
			<form-property name="errorFichero" type="java.lang.String" />
			<form-property name="codColumna" type="java.lang.String" />
			<form-property name="firmaEjgv" type="java.lang.String"/>
			<form-property name="sindicato" type="java.lang.String"/>
			<form-property name="documentoImportadoOriginal" type="java.lang.String" />
			<form-property name="ficheroBinarioBase64" type="java.lang.String" />
			<form-property name="nombreFichero" type="java.lang.String" />
			<form-property name="fechaRegES" type="java.lang.String" />
			<form-property name="numeroRegES" type="java.lang.String" />
			<form-property name="migas" type="java.lang.String" initial ="inicioportal.inicio.lotespreavisos"/>
			<form-property name="parte" type="java.lang.String"/>
			
			<form-property name="solicitudPreaviso" type="w83a.w83aUtilidadesComunes.W83ASolicitudPreaviso"></form-property>
			
			<form-property name="thirdPartySession" type="java.lang.String"/>
		</form-bean>	
	
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!--	MOSTRAR PÁGINAS-->
		
		<action
				path ="/w83aLotesPreavisos" forward="paginaLotesPreavisos"/>
		
	 	<action
				path ="/w83aPaginaBusquedaLotesPreavisos" forward="paginaBusquedaLotesPreavisos"/>
		
		
	 	<action
				path ="/w83aConsultaLotesPreavisos" forward="paginaPreavisos"/>
		
	 	<action
				path ="/w83aConsultaLotesPreavisos2" forward="paginaPreavisos2"/>
		
	 	<action
				path ="/w83aConsultaDetallePreavisos" forward="paginaDetallePreavisos"/>
	 	
	 	<action
				path ="/w83aConsultaDetalleNuevoPreavisos" forward="paginaDetalleNuevoPreavisos"/>

		<action
				path ="/w83aPaginaNuevoLotesPreavisos" forward="paginaNuevoLotePreavisos"/>

		<action
				path ="/w83aPaginaConfirmacionFirma" forward="paginaConfirmacionFirma"/>
		
		<action
				path ="/w83aJustificanteLotePrevisos" forward="paginaJustificanteLotePrevisos"/>

		<action
				path="/w83aDispatch"
				name="w83aformBusqLotesPreavisos"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83acomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.buscar"
					path="/w83aBusqLotesPreavisos.do"/>
				
				<forward
					name="comun.boton.consultar"
					path="/w83aTablaLotesPreavisosDetalle.do"/>
				<forward
					name="comun.boton.consultar2"
					path="/w83aConsultarPreavisosDetalle.do"/>
				<forward
					name="comun.boton.anyadir"
					path="/w83aNuevoLotesPreavisos.do"/>
				<forward
					name="comun.boton.consultarNuevo"
					path="/w83aConsultarPreavisosNuevoDetalle.do"/>
		</action>
		
		<action
				path="/w83aDispatchConsulta"
				name="formLotesPreavisos"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83acomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83aPagIniBusqLotesPreavisos.do"/>
				<forward
					name="comun.boton.atras2"
					path="/w83aTablaLotesPreavisosDetalle.do"/>
				<forward
					name="comun.boton.atras4"
					path="/w83aTablaLotesPreavisosDetalle2.do"/>
				<forward
					name="comun.boton.atras3"
					path="/w83aDeshacerAltaLote.do"/>
				<forward
					name="comun.boton.consultar2"
					path="/w83aConsultarPreavisosDetalle.do"/>
				<forward
					name="comun.boton.consultarNuevo"
					path="/w83aConsultarPreavisosNuevoDetalle.do"/>
					
		</action>
		
		
		<action
				path="/w83aDispatchNuevo"
				name="w83aformNuevoLotesPreavisos"
				input="/w83aPaginaNuevoLotesPreavisos.do"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83acomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">

				<forward
					name="comun.boton.previsualizar"
					path="/w83aGuardarLotePreavisos.do"/>
				<forward
					name="comun.boton.enviar"
					path="/w83aEnviarLotePreavisos.do"/>
				<forward
					name="comun.boton.atras3"
					path="/w83aDeshacerAltaLote.do"/>
				<forward
					name="comun.boton.justificante"
					path="/w83aCrearPdfJustificante.do"/>

		</action>
		
		<action path="/w83aPagIniBusqLotesPreavisos" scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aPagIniBusqLotesPreavOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aPaginaBusquedaLotesPreavisos.do"/>
		</action>	
		
		<action path="/w83aInicioBusquedaLotesPreavisos" 
		name="w83aformBusqLotesPreavisos" scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aIrBusquedaLotesPreavisoAction" 
			 validate="false">
			<forward name="ok" path="/w83aPaginaBusquedaLotesPreavisos.do"/>
		</action>	
		
	
		<!-- Operaciones de Paso -->
		<action path="/w83aLotesPreavisosOP" scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aTablaLotesPreavisosOPAction" 
			 validate="false">
			<forward name="find" path="/w83aBusqLotesPreavisos.do"/>
			<forward name="ok" path="/w83aLotesPreavisosOutOP.do"/>	
			<forward name="outOP" path="/w83aLotesPreavisosOutOP.do"/>	
		</action>
		<action path="/w83aLotesPreavisosOutOP" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aTablaLotesPreavisosOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aPaginaBusquedaLotesPreavisos.do"/>
			<forward name="error" path="/w83aInicioBusquedaLotesPreavisos.do"/>
		</action>	
	
		<!-- Operaciones de Paso -->
		<action path="/w83aObtenerPreavisosOP" scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aTablaPreavisosOPAction" 
			 validate="false">
			<forward name="find" path="/w83aTablaPreavisosDetalle.do"/>
			<forward name="ok" path="/w83aPreavisosOutOP.do"/>	
			<forward name="outOP" path="/w83aPreavisosOutOP.do"/>	
		</action>
		
	
		
		<action path="/w83aPreavisosOutOP" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aTablaPreavisosOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aConsultaLotesPreavisos.do"/>
			<forward name="error" path="/w83aInicioBusquedaLotesPreavisos.do"/>
		</action>	
	
		
		
		<!-- Operaciones Internas -->	
   		<action path ="/w83aBusqLotesPreavisos" 
			 parameter="w83aBusqLotesPreavisosOI" 
			 validate="false" 
			 input="/w83aInicioBusquedaLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aLotesPreavisosOutOP.do" />
<!--					<forward name="error" path="/w83bInicioBusquedaAgrupacionesMenu.do" />-->
		</action>
		
	
		<action path ="/w83aTablaLotesPreavisosDetalle" 
			 parameter="w83aDetalleLotesPreavisosOI" 
			 validate="false" 
			 input="/w83aInicioBusquedaLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aConsultaLotesPreavisos.do" />
					<forward name="error" path="/w83aConsultaLotesPreavisos.do" />
		</action>
		

		<action path ="/w83aTablaPreavisosDetalle" 
			 parameter="w83aDetallePreavisosOI" 
			 validate="false" 
			 input="/w83aInicioBusquedaLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aPreavisosOutOP.do" />
					<forward name="error" path="/w83aPreavisosOutOP.do" />
		</action>
	
	
		<action path ="/w83aObtenerDocumentoContextoOP" 
					  type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aDescargarDocumentoContextoOPAction"
			 scope="request">
			 <forward name="ok" path="/w83aDescargarDocumentoOutOP.do" />
			<forward name="error" path="/w83aGenericoOutOP.do" />
		</action>
		
		<action path="/w83aDescargarDocumentoOutOP" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aDescargarDocumentoOutOPAction" 
			 validate="false">
		</action>	
		
		<!-- DESCARGAR FICHERO DE VUELTA INICIO -->
		<action path ="/w83aObtenerFicheroVueltaContextoOP" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aDescargarFicheroVueltaContextoOPAction" scope="request">
			<forward name="error" path="/w83aGenericoOutOP.do" />
		</action>
		<!-- DESCARGAR FICHERO DE VUELTA FIN -->
		
		<action path="/w83aGenericoOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aGenericoOutOPAction" 
			 validate="false">
		</action>
		
		
		<action path ="/w83aConsultarPreavisosDetalle" 
			 parameter="w83aConsultarDetallePreavisoOI" 
			 validate="false" 
			 input="/w83aInicioBusquedaLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aConsultaDetallePreavisos.do" />
					<forward name="error" path="/w83aConsultaDetallePreavisos.do" />
		</action>
		
		<action path ="/w83aConsultarPreavisosNuevoDetalle" 
			 parameter="w83aConsultarDetallePreavisoOI" 
			 validate="false" 
			 input="/w83aInicioBusquedaLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aConsultaDetalleNuevoPreavisos.do" />
					<forward name="error" path="/w83aConsultaDetalleNuevoPreavisos.do" />
		</action>
		
	<action path="/w83aObtenerPreavisoIndiceOP" scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aObtenerPreavisoIndiceOP" 
			 validate="false">
			<forward name="edicion" path="/w83aConsultarPreavisosDetalle.do"/>
			<forward name="error" path="/w83bGenericoOutOP.do"/>
	</action>
	
	<action path="/w83aObtenerPreavisoIndice2OP" scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aObtenerPreavisoIndiceOP" 
			 validate="false">
			<forward name="edicion" path="/w83aConsultarPreavisosNuevoDetalle.do"/>
			<forward name="error" path="/w83bGenericoOutOP.do"/>
	</action>
	
	<action path="/w83aNuevoLotesPreavisos" 
		name="w83aformBusqLotesPreavisos" scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aIrNuevoLotePreavisoAction" 
			 validate="false">
			<forward name="ok" path="/w83aPaginaNuevoLotesPreavisos.do"/>
		</action>
	
	<action path="/w83aAdjuntarArchivoOP" scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aAdjuntarArchivoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aGenericoOutOP.do"/>
			<forward name="okVacio" path="/w83aGenericoAdjuntarOutOP.do" />
			<forward name="error" path="/w83aGenericoErrorOutOP.do"/>
			<forward name="ficherovacio" path="/w83aFicheroVacioOutOP.do"/>
		</action>
		
	<action path="/w83aGenericoAdjuntarOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aGenericoAdjuntarOutOPAction" 
			 validate="false">
		</action>	
		
	<action path="/w83aGenericoErrorOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aGenericoErrorOutOPAction" 
			 validate="false">
		</action>	
		
	<action path="/w83aFicheroVacioOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aFicheroVacioOutOPAction" 
			 validate="false">
		</action>	
	
		<action path ="/w83aGuardarLotePreavisos" 
			 parameter="w83aGuardarLotePreavisosOI" 
			 validate="false" name="w83aformNuevoLotesPreavisos" 
			 input="/w83aPaginaNuevoLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aHayErrorEnFichero.do" />
					<forward name="error" path="/w83aNuevoLotesPreavisos.do" />
		</action>
		
		<action path="/w83aHayErrorEnFichero" scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.w83aHayErrorEnFicheroOPAction" 
			 validate="false">
			 <forward name="noerror" path="/w83aTablaLotesPreavisosDetalle2.do"/>
			 <forward name="error" path="/w83aNuevoLotesPreavisos.do"/>
		</action>

	<action path ="/w83aTablaLotesPreavisosDetalle2" 
			 parameter="w83aDetalleLotesPreavisosOI" 
			 validate="false" 
			 input="/w83aInicioBusquedaLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aIrTablaLotesPreDet2.do" />
					<forward name="error" path="/w83aIrTablaLotesPreDet2.do" />
		</action>
		
		<action path="/w83aIrTablaLotesPreDet2" scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aIrTablaLotesPreDet2OutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aConsultaLotesPreavisos2.do"/>
		</action>
		
	<action path ="/w83afirmarDocumento" 
			 parameter="w83aFirmarDocumentoOI" 
			 validate="false" name="formLotesPreavisos" 
			 input="/w83aInicioBusquedaLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aPaginaConfirmacionFirma.do" />
					<forward name="error" path="/w83aConsultaLotesPreavisos.do" />
		</action>
		
		
		
		
		<action path ="/w83aDeshacerAltaLote" 
			 parameter="w83aDeshacerAltaLoteOI" 
			 validate="false" name="formLotesPreavisos" 
			input="/w83aInicioBusquedaLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aNuevoLotesPreavisos.do" />
					<forward name="error" path="/w83aNuevoLotesPreavisos.do" />
		</action>
		
		
		<action path ="/w83aEnviarLotePreavisos" 
			 parameter="w83aEnviarLotePreavisosOI" 
			 validate="false" name="w83aformNuevoLotesPreavisos" 
			input="/w83aInicioBusquedaLotesPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aJustificanteLotePrevisos.do" />
					<forward name="error" path="/w83aJustificanteLotePrevisos.do" />
		</action>
		
		
		<action path="/w83aCrearPdfJustificante" 
		name="w83aformNuevoLotesPreavisos" scope="request" type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aJustificanteLotePdfAction" 
			 validate="false">
		</action>
		
		
		<action path="/w83aValidarFirmaAJAX" name="formLotesPreavisos"
			type="w83a.w83aOperacionesPaso.w83aLotesPreavisos.W83aValidarFirmaAjaxActionOP" validate="false">
		</action>
		
	</action-mappings>
	
	

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83a.xml,
											/WEB-INF/validators-config/preavisos/validation-preavisos.xml"/>
	    <set-property property="i18nKey" value="w83acomun" />
	</plug-in>

</struts-config>